org.apache.tools.ant.util

## Class CollectionUtils.EmptyEnumeration

- java.lang.Object
- - org.apache.tools.ant.util.CollectionUtils.EmptyEnumeration

All Implemented Interfaces:
  java.util.Enumeration

Enclosing class:
  CollectionUtils

    public static final class CollectionUtils.EmptyEnumeration
    extends java.lang.Object
    implements java.util.Enumeration

An empty enumeration.

Since:
  Ant 1.6

### Constructor Summary

Constructors
Constructor and Description
`CollectionUtils.EmptyEnumeration()` Constructor for the EmptyEnumeration

### Method Summary

Methods
`boolean` `hasMoreElements()`
`java.lang.Object` `nextElement()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CollectionUtils.EmptyEnumeration

    public CollectionUtils.EmptyEnumeration()

Constructor for the EmptyEnumeration

### Method Detail

#### hasMoreElements

    public boolean hasMoreElements()

Specified by:
  `hasMoreElements` in interface `java.util.Enumeration`
Returns:
  false always.

#### nextElement

    public java.lang.Object nextElement()
                                 throws java.util.NoSuchElementException

Specified by:
  `nextElement` in interface `java.util.Enumeration`
Returns:
  nothing.
Throws:
  `java.util.NoSuchElementException` - always.